*
* $Id$
*
* $Log$
*
*CMZ :  3.00/00 30/03/2001  14.16.15  by  Marialuigia Ambriola
*CMZ :  2.01/00 05/04/2000  14.35.18  by  Marialuigia Ambriola
*CMZ :  2.00/00 03/03/2000  15.39.05  by  Francesco Cafagna
*CMZ :  1.00/02 12/03/96  16.29.41  by  Francesco Cafagna
*-- Author :    Francesco Cafagna   30/11/95
      SUBROUTINE UGLAST
************************************************************************
*                                                                      *
*            Termination routine to print histograms and statistics    *
*                                                                      *
* Called by: MAIN                                                      *
* Author: Francesco Cafagna, 30/11/95 16.32.17                         *
*                                                                      *
************************************************************************
#include "gpkey.inc"
#include "gpunit.inc"
C
C User action
C
      CALL GPULAS
C
      CALL GLAST
C
C             Save histograms
C
      IF (HBK) THEN
         CALL HROUT(0,ICYCLE,' ')
         CALL HREND('GPAMELA')
         CALL HPRINT(0)
      ENDIF
      CLOSE (LUHBK)
*.
#if defined(GPAMELA_HIGZ)
*
*             Close GKS display file
*
      CALL IGEND
#endif
C
C Close magnetic field map
C
      CLOSE (LUFMAP)
*
*ML:
C
C Close the file which contains the attuenuation lengths for TRD
C
      CLOSE (LUTR)
*END ML.
      END
